Loading...
Searching...
No Matches
field_lazy_terminal_interpolate< Expr >

## Detailed Description

template<class Expr>
class rheolef::details::field_lazy_terminal_interpolate< Expr >

Definition at line 1049 of file field_lazy_terminal.h.

Inheritance diagram for field_lazy_terminal_interpolate< Expr >:

## Public Types

using | rep = field_lazy_terminal_interpolate_rep<Expr>
using | base1 = smart_pointer_nocopy<rep>
using | base2 = field_lazy_base<field_lazy_terminal_interpolate<Expr>>
using | size_type = typename rep::size_type
using | memory_type = typename rep::memory_type
using | scalar_type = typename rep::scalar_type
using | space_type = typename rep::space_type
using | geo_type = typename rep::geo_type
using | band_type = typename rep::band_type
using | vector_element_type = typename rep::vector_element_type
Public Types inherited from smart_pointer_nocopy< field_lazy_terminal_interpolate_rep< Expr > >
typedef field_lazy_terminal_interpolate_rep< Expr > | handled_type
typedef base::internal | internal

## Public Member Functions

| field_lazy_terminal_interpolate (const space_type &Xh, const Expr &expr)
const geo_type & | get_geo () const
const space_type & | get_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K) const
void | evaluate (const geo_type &omega_K, const geo_element &K, vector_element_type &uk) const
Public Member Functions inherited from smart_pointer_nocopy< field_lazy_terminal_interpolate_rep< Expr > >
| smart_pointer_nocopy (field_lazy_terminal_interpolate_rep< Expr > *p=0)
smart_pointer_nocopy< field_lazy_terminal_interpolate_rep< Expr > > & | operator= (const smart_pointer_nocopy< field_lazy_terminal_interpolate_rep< Expr > > &x)
| ~smart_pointer_nocopy ()
Public Member Functions inherited from smart_pointer_base< field_lazy_terminal_interpolate_rep< Expr >, details::no_copy< field_lazy_terminal_interpolate_rep< Expr > > >
| smart_pointer_base (field_lazy_terminal_interpolate_rep< Expr > *p=0)
smart_pointer_base< field_lazy_terminal_interpolate_rep< Expr >, details::no_copy< field_lazy_terminal_interpolate_rep< Expr > > > & | operator= (const smart_pointer_base< field_lazy_terminal_interpolate_rep< Expr >, details::no_copy< field_lazy_terminal_interpolate_rep< Expr > > > &)
| ~smart_pointer_base ()
const field_lazy_terminal_interpolate_rep< Expr > * | pointer () const
const field_lazy_terminal_interpolate_rep< Expr > & | data () const
const field_lazy_terminal_interpolate_rep< Expr > * | operator-> () const
const field_lazy_terminal_interpolate_rep< Expr > & | operator* () const
int | reference_counter () const
counter * | get_count () const

## Additional Inherited Members

Protected Member Functions inherited from field_lazy_base< field_lazy_terminal_interpolate< Expr > >
field_lazy_terminal_interpolate< Expr > & | derived ()
const field_lazy_terminal_interpolate< Expr > & | derived () const

## Member Typedef Documentation

## rep

template<class Expr>

using rep = field_lazy_terminal_interpolate_rep<Expr>

Definition at line 1054 of file field_lazy_terminal.h.

## base1

template<class Expr>

using base1 = smart_pointer_nocopy<rep>

Definition at line 1055 of file field_lazy_terminal.h.

## base2

template<class Expr>

using base2 = field_lazy_base<field_lazy_terminal_interpolate<Expr>>

Definition at line 1056 of file field_lazy_terminal.h.

## size_type

template<class Expr>

using size_type = typename rep::size_type

Definition at line 1057 of file field_lazy_terminal.h.

## memory_type

template<class Expr>

using memory_type = typename rep::memory_type

Definition at line 1058 of file field_lazy_terminal.h.

## scalar_type

template<class Expr>

using scalar_type = typename rep::scalar_type

Definition at line 1059 of file field_lazy_terminal.h.

## space_type

template<class Expr>

using space_type = typename rep::space_type

Definition at line 1060 of file field_lazy_terminal.h.

## geo_type

template<class Expr>

using geo_type = typename rep::geo_type

Definition at line 1061 of file field_lazy_terminal.h.

## band_type

template<class Expr>

using band_type = typename rep::band_type

Definition at line 1062 of file field_lazy_terminal.h.

## vector_element_type

template<class Expr>

using vector_element_type = typename rep::vector_element_type

Definition at line 1063 of file field_lazy_terminal.h.

## Constructor & Destructor Documentation

## field_lazy_terminal_interpolate()

template<class Expr>

field_lazy_terminal_interpolate | ( | const space_type & | Xh,
|  | const Expr & | expr )

Definition at line 1067 of file field_lazy_terminal.h.

## Member Function Documentation

## get_geo()

template<class Expr>

const geo_type & get_geo | ( |  | ) | const

Definition at line 1076 of file field_lazy_terminal.h.

## get_space()

template<class Expr>

const space_type & get_space | ( |  | ) | const

Definition at line 1077 of file field_lazy_terminal.h.

## is_on_band()

template<class Expr>

bool is_on_band | ( |  | ) | const

Definition at line 1078 of file field_lazy_terminal.h.

## get_band()

template<class Expr>

band_type get_band | ( |  | ) | const

Definition at line 1079 of file field_lazy_terminal.h.

## initialize()

template<class Expr>

void initialize | ( | const geo_type & | omega_K | ) | const

Definition at line 1081 of file field_lazy_terminal.h.

## evaluate()

template<class Expr>

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | vector_element_type & | uk ) const

Definition at line 1083 of file field_lazy_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field_lazy_terminal.h